#
# spec file for package dtkcore
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Hillwood Yang <hillwood@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libver 2

Name:           dtkcore
Version:        2.0.5.2
Release:        lp150.1.5
Summary:        Deepin Tool Kit Core
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxdeepin/dtkcore
Source0:        https://github.com/linuxdeepin/dtkcore/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  libqt5-linguist
BuildRequires:  libqt5-linguist
BuildRequires:  libqt5-qtbase-private-headers-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libqt5-qtx11extras-devel
BuildRequires:  pkgconfig(gsettings-qt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Deepint Tool Kit (Dtk) is the base devlopment tool of all C++/Qt Developer work 
on Deepin.

You shoud read the [Deepin Application Specification](doc/Specification) firstly.

%package -n lib%{name}%{libver}
Summary:        Deepin Toolkit Core libraries
Group:          System/Libraries

%description -n lib%{name}%{libver}
Deepint Tool Kit (Dtk) is the base devlopment tool of all C++/Qt Developer work 
on Deepin.

%package devel
Summary:        Development tools for dtkcore
Group:          Development/Languages/C and C++
Requires:       lib%{name}%{libver} = %{version}

%description devel
The dtkcore-devel package contains the header files and developer
docs for dtkcore.

You shoud firstly read the "Deepin Application Specification".

%prep
%setup -q

%build
%qmake5 DEFINES+=QT_NO_DEBUG_OUTPUT \
        PREFIX=%{_prefix} \
        LIB_INSTALL_DIR=%{_libdir}
make %{?_smp_mflags}

%install
%qmake5_install

# Remove useless files
rm -rf %{buildroot}/usr/tests

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%dir %{_libexecdir}/dtk2
%{_libexecdir}/dtk2/dtk-settings-tool

%files -n lib%{name}%{libver}
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/dtkcore.pc
%{_includedir}/libdtk-2.0

%changelog
* Thu Nov 30 2017 hillwood@opensuse.org
- Update to 2.0.5.2
  * make macosx build success
  * windows build failed
  * add macro D_DECL_DEPRECATED
  * build failed on used dbasefilewatcher.h project ([34fbe4b3](34fbe4b3))
  * add miss libgsettings-qt-dev ([f61c1b54](f61c1b54))
  * not select python version ([7e7e8832](7e7e8832))
  * support gsettingsbackend, remove dsettings-key ([26a29800](26a29800))
  * create gsettingsbackend ([b94b97b1](b94b97b1))
* Fri Nov  3 2017 jengelh@inai.de
- Expand summary.
* Thu Nov  2 2017 dimstar@opensuse.org
- Set Group for shared library package to 'System/Libraries'.
* Thu Sep 28 2017 hillwood@opensuse.org
- Initial package.
